package authentication.configuration;

import java.util.Map;

import javax.security.auth.login.AppConfigurationEntry;

import com.sap.tc.logging.Location;

public class AppConfigurationEntryExtension extends AppConfigurationEntry {
	
	private static final Location LOCATION = Location.getLocation("authentication.framework");
	
	private ControlFlag controlFlag = null;
	
	public AppConfigurationEntryExtension(String loginModuleName, ControlFlag controlFlag, Map<String,?> options) {
		super(loginModuleName, LoginModuleControlFlag.REQUIRED, options);
		
		if (controlFlag != null) {
			this.controlFlag = controlFlag;
		} else {
			throw new IllegalArgumentException("The login module flag cannot be null.");
		}
  }
	
	public AppConfigurationEntryExtension(String loginModuleName, String flag, Map<String,?> options) {
		super(loginModuleName, LoginModuleControlFlag.REQUIRED, options);
		
		if (flag != null) {
			flag = flag.toUpperCase();
			controlFlag = ControlFlag.valueOf(flag);
		} else {
			throw new IllegalArgumentException("The login module flag cannot be null.");
		}
  }
	
  /**
   * Return the controlFlag
   * (either REQUIRED, REQUISITE, SUFFICIENT, OPTIONAL or FINAL)
   * for this <code>LoginModule</code>.
   *
   * @return the controlFlag
   *		(either REQUIRED, REQUISITE, SUFFICIENT, or OPTIONAL)
   *		for this <code>LoginModule</code>.
   */
  public LoginModuleControlFlag getControlFlag() {
  	// TODO make it return correct values in case the flag is not final.
  	return null;
  }
  
  public ControlFlag getControlFlagExtension() {
  	return controlFlag;
  }

}
