package authentication.configuration;

import java.util.Hashtable;

import javax.security.auth.login.AppConfigurationEntry;
import javax.security.auth.login.Configuration;

import authentication.context.ForwardLoginModule;

import com.sap.tc.logging.Location;

public class LoginModuleConfiguration extends Configuration {

  public static final String FORWARD_LOGIN_MODULE = ForwardLoginModule.class.getName();

  private static final Location LOCATION = Location.getLocation("authentication.framework");
  
  /**
   * Returns an array with one AppConfigurationEntry for configured instance of ForwardLoginModule.
   *
   * @see javax.security.auth.login.Configuration#getAppConfigurationEntry(String)
   */
  public AppConfigurationEntry[] getAppConfigurationEntry(String context) {
  	LOCATION.infoT("Getting app configuration entries for stack: " + context);
  	
  	AppConfigurationEntry entry = null;
  	Hashtable<String, String> options = new Hashtable<String, String>(1);
  	
    options.put(ForwardLoginModule.LOGIN_MODULES_STACK_NAME, context);
    entry = new AppConfigurationEntry(FORWARD_LOGIN_MODULE, AppConfigurationEntry.LoginModuleControlFlag.REQUIRED, options);
    LOCATION.infoT("App configuration entries retrieved.");
    return new AppConfigurationEntry[] {entry};
  }

  /**
   *  Does nothing
   *
   * @see javax.security.auth.login.Configuration#refresh()
   */
  public void refresh() {
  	LOCATION.infoT("Configuration refreshed.");
  }

}


