package authentication.credential;

import java.security.cert.X509Certificate;

public class CertificateCredential {

	private X509Certificate certificate = null;
	private int hashCode = -1;
	
	public CertificateCredential(X509Certificate certificate) {
		this.certificate = certificate;
		this.hashCode = certificate.hashCode();
	}
	
	public X509Certificate getCertificate() {
		return this.certificate;
	}
	
  public boolean equals(Object otherCredential) {
    if (otherCredential instanceof CertificateCredential) {
    	if (this.hashCode == otherCredential.hashCode()) {
        if (this.certificate.equals(((CertificateCredential) otherCredential).getCertificate())) {
          return true;
        }
    	}
    }

    return false;
  }
  
  public int hashCode() {
    return hashCode;
  }
	
}

