package authentication.credential;

public class PasswordCredential {

	private String username = null;
	private char[] password = null;
	private int hashCode = -1;
	
	public PasswordCredential(String username, char[] password) {
		this.username = username;
		this.password = password;
		this.hashCode = (username + new String(password)).hashCode();
	}
	
	public String getUserName() {
		return this.username;
	}
	
	public char[] getPassword() {
		return this.password;
	}
	
  public boolean equals(Object otherCredential) {
    if (otherCredential instanceof PasswordCredential) {
    	if (this.hashCode == otherCredential.hashCode()) {
        if (this.username.equals(((PasswordCredential) otherCredential).getUserName()) && this.password.equals(((PasswordCredential) otherCredential).getPassword())) {
          return true;
        }
    	}
    }

    return false;
  }
  
  public int hashCode() {
    return hashCode;
  }
	
}
