package authentication.credential;

public class SSOTokenCredential {

	private String name = null;
	private String value = null;
	private int hashCode = -1;
	
	public SSOTokenCredential(String name, String value) {
		this.name = name;
		this.value = value;
		this.hashCode = (name + value).hashCode();
	}
	
	public String getName() {
		return this.name;
	}
	
	public String getValue() {
		return this.value;
	}
	
  public boolean equals(Object otherCredential) {
    if (otherCredential instanceof SSOTokenCredential) {
    	if (this.hashCode == otherCredential.hashCode()) {
        if (this.name.equals(((SSOTokenCredential) otherCredential).getName()) && this.value.equals(((SSOTokenCredential) otherCredential).getValue())) {
          return true;
        }
    	}
    }

    return false;
  }
  
  public int hashCode() {
    return hashCode;
  }
	
}