package authentication.principal;

public class UserIdPrincipal implements java.security.Principal, java.io.Serializable {
	
  private int hashCode = -1;
  private String name = null;

  public UserIdPrincipal(String name) {
    this.name = name;
    this.hashCode = name.hashCode();
  }

  public boolean equals(Object otherPrincipal) {
    if (otherPrincipal.getClass().isInstance(this)) {
    	if (this.hashCode == otherPrincipal.hashCode()) {
        if (name.equals(((UserIdPrincipal) otherPrincipal).getName())) {
          return true;
        }
    	}
    }

    return false;
  }

  public String getName() {
    return this.name;
  }

  public int hashCode() {
    return this.hashCode;
  }

  public String toString() {
    return this.getClass().getName() + ": " + this.name;
  }

}
